> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv2organizations contacts



## OpenAPI

````yaml https://api.osiro.com/doc get /api/v2/organizations/{orgId}/contacts
openapi: 3.0.0
info:
  title: osiro API
  version: 2.0.0
servers: []
security: []
tags:
  - name: Funnel
    description: Public funnel rendering, submission, MFA, and analytics.
  - name: Training
    description: Org-scoped sales-training catalogs, sessions, and call records.
  - name: Attribution
    description: Cross-domain PostHog identity handoff for the marketing site.
paths:
  /api/v2/organizations/{orgId}/contacts:
    get:
      tags:
        - Contacts
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: orgId
          in: path
        - schema:
            type: string
            default: ''
          required: false
          name: q
          in: query
        - schema:
            type: integer
            minimum: 1
            default: 1
          required: false
          name: page
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          required: false
          name: pageSize
          in: query
      responses:
        '200':
          description: >-
            One page of the organization's contacts, newest first, with
            per-contact sales rollups and the total matching count
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactList'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    ContactList:
      type: object
      properties:
        contacts:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              created_at:
                type: string
              first_name:
                type: string
              last_name:
                type: string
              email:
                type: string
              state:
                type: string
                enum:
                  - ACTIVE
                  - PAUSED
                  - INACTIVE
              max_single_leads_per_month:
                type: number
              contact_sale_stats:
                type: object
                properties:
                  sales_total:
                    type: number
                  sales_this_month:
                    type: number
                  refunds_this_month:
                    type: number
                  refund_rate:
                    type: number
                required:
                  - sales_total
                  - sales_this_month
                  - refunds_this_month
                  - refund_rate
            required:
              - id
              - created_at
              - first_name
              - last_name
              - email
              - state
              - max_single_leads_per_month
              - contact_sale_stats
        total:
          type: number
      required:
        - contacts
        - total
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````